Interface IProjectReference
- All Superinterfaces:
Serializable
- All Known Subinterfaces:
IShortcut
- All Known Implementing Classes:
DynamicShortcutReference, ProjectReference, Shortcut
Represents a project request to start which can be put on the session.
- Since:
- 9.0
- Author:
- Danny Roest, Jon van Leuven
-
Method Summary
Modifier and TypeMethodDescriptionThis method returns all the parameters.getFlow()getParameter(String name) This method returns the request parameter value.This method returns the request parameters without the standard request parameters ("project", "flow", "version", "languageCode", "ui", "theme", "channel").getTheme()booleanThis method indicates if the project reference is private or notbooleanThis method returns the url to start this project reference.
-
Method Details
-
getProjectName
String getProjectName() -
getVersion
String getVersion() -
getTheme
String getTheme() -
getLanguageCode
String getLanguageCode() -
getChannel
String getChannel() -
getFlow
String getFlow() -
getAquimaUi
String getAquimaUi() -
getTestPath
String getTestPath() -
isDevtoolsEnabled
boolean isDevtoolsEnabled() -
toUrl
-
getAllParameters
-
getParameters
-
getParameter
-
hasPrivateAccess
boolean hasPrivateAccess()This method indicates if the project reference is private or not- Returns:
- a boolean value
-